/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model11
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model11 {
  @SerializedName("city")
  private String city = null;

  @SerializedName("zipcode")
  private String zipcode = null;

  @SerializedName("area")
  private String area = null;

  @SerializedName("country_id")
  private String countryId = null;

  @SerializedName("street")
  private String street = null;

  public Model11 city(String city) {
    this.city = city;
    return this;
  }

   /**
   * City of this provider. Ex : \&quot;Paris\&quot;
   * @return city
  **/
  @ApiModelProperty(value = "City of this provider. Ex : \"Paris\"")
  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public Model11 zipcode(String zipcode) {
    this.zipcode = zipcode;
    return this;
  }

   /**
   * zipcode of this provider. Ex : \&quot;zipcode\&quot;
   * @return zipcode
  **/
  @ApiModelProperty(value = "zipcode of this provider. Ex : \"zipcode\"")
  public String getZipcode() {
    return zipcode;
  }

  public void setZipcode(String zipcode) {
    this.zipcode = zipcode;
  }

  public Model11 area(String area) {
    this.area = area;
    return this;
  }

   /**
   * area of this provider. Ex : \&quot;Paris\&quot;
   * @return area
  **/
  @ApiModelProperty(value = "area of this provider. Ex : \"Paris\"")
  public String getArea() {
    return area;
  }

  public void setArea(String area) {
    this.area = area;
  }

  public Model11 countryId(String countryId) {
    this.countryId = countryId;
    return this;
  }

   /**
   * id of the provider country (ISO-Code format). Ex: \&quot;fr\&quot;, \&quot;es\&quot;, etc.
   * @return countryId
  **/
  @ApiModelProperty(value = "id of the provider country (ISO-Code format). Ex: \"fr\", \"es\", etc.")
  public String getCountryId() {
    return countryId;
  }

  public void setCountryId(String countryId) {
    this.countryId = countryId;
  }

  public Model11 street(String street) {
    this.street = street;
    return this;
  }

   /**
   * street of this provider. Ex : \&quot;47-83 Boulevard de l’Hôpital\&quot;
   * @return street
  **/
  @ApiModelProperty(value = "street of this provider. Ex : \"47-83 Boulevard de l’Hôpital\"")
  public String getStreet() {
    return street;
  }

  public void setStreet(String street) {
    this.street = street;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model11 model11 = (Model11) o;
    return Objects.equals(this.city, model11.city) &&
        Objects.equals(this.zipcode, model11.zipcode) &&
        Objects.equals(this.area, model11.area) &&
        Objects.equals(this.countryId, model11.countryId) &&
        Objects.equals(this.street, model11.street);
  }

  @Override
  public int hashCode() {
    return Objects.hash(city, zipcode, area, countryId, street);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model11 {\n");
    
    sb.append("    city: ").append(toIndentedString(city)).append("\n");
    sb.append("    zipcode: ").append(toIndentedString(zipcode)).append("\n");
    sb.append("    area: ").append(toIndentedString(area)).append("\n");
    sb.append("    countryId: ").append(toIndentedString(countryId)).append("\n");
    sb.append("    street: ").append(toIndentedString(street)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

